{
===============================================================================
  Copyright (©) 2007. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 
  Versión actual: 1.0.0
  Fecha versión actual: 
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit uBizPagosCliente;

interface

uses
  uDAInterfaces, uDADataTable, uDBSelectionListUtils, schRecibosClienteClient_Intf;

const
  BIZ_CLIENT_IBIZPAGOSCLIENTE = 'Client.IBizPagosCliente';

  CTE_PAGO = 'Pago';
  CTE_DEVOLUCION = 'Devolución';

type
  IBizPagosCliente = interface(IPagosCliente)
  ['{F53F105E-83B5-4EB8-94CA-EA7E470D26F7}']
  end;

  TBizPagosCliente = class(TPagosClienteDataTableRules, IBizPagosCliente)
  private
    procedure IniciarValoresIBizPagosClienteNuevo;  
  protected
    procedure BeforeInsert(Sender: TDADataTable); override;
    procedure OnNewRecord(Sender: TDADataTable); override;
  end;

implementation

uses
  DB, uFactuGES_App;

{ TBizPagosCliente }

procedure TBizPagosCliente.BeforeInsert(Sender: TDADataTable);
var
  AMasterTable : TDADataTable;
begin
  inherited;
  AMasterTable := DataTable.GetMasterDataTable;
  if Assigned(AMasterTable) and (AMasterTable.State = dsInsert) then
    AMasterTable.Post;
end;

procedure TBizPagosCliente.IniciarValoresIBizPagosClienteNuevo;
begin
  //CONTABILIDAD
//  if Assigned(AppFactuGES.EjercicioActivo) then
//    IGNORAR_CONTABILIDAD := 0
//  else
    IGNORAR_CONTABILIDAD := 1;
end;

procedure TBizPagosCliente.OnNewRecord(Sender: TDADataTable);
begin
  inherited;
  IniciarValoresIBizPagosClienteNuevo;
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_IBIZPAGOSCLIENTE, TBizPagosCliente);

finalization

end.

